Updated: 2011-12-23 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add a cli-command to show and explore the current configuration
Description

Since the configuration of FLOW3 is complex and comes from many different files it should be possible to show the currently active
framework-configuration for better understanding an debugging.

I suggest to implement a "configuration" cli-command for that purpose. At first the command-controller will only have a showCommand
method but later on it can be extended to evaluate and to write the configuration.

Associated revisions
Revision ac7f4bd9 - 2011-12-23 18:14 - Martin Ficzel

[FEATURE] (CLI): Add configuration:show command for debugging

Adds the cli command "configuration:show" with the options --type and --path.
The patch adds the method getAvailableConfigurationTypes to the configurationManager which is used by the cli-command.

Change-Id: I4fb48a2aec1aa1d90786582125467780a156adaf
Resolves: #32470
Releases: 1.1

History
#1 - 2011-12-12 12:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7219

#2 - 2011-12-16 10:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7219

#3 - 2011-12-23 18:14 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7219
#4 - 2011-12-23 18:29 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
